From c4a3ede5196ee036f5d3d44e22a232ef06fd72ae Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 28 2020 05:45:41 +0000
Subject: [PATCH 1834/2232] Move let_cxx_string's $value evaluation outside of unsafe block


---

diff --git a/src/cxx_string.rs b/src/cxx_string.rs
index a2bd72b..10abbce 100644
--- a/src/cxx_string.rs
+++ b/src/cxx_string.rs
@@ -73,7 +73,9 @@ macro_rules! let_cxx_string {
     ($var:ident = $value:expr $(,)?) => {
         let mut $var = $crate::private::StackString::new();
         #[allow(unused_mut, unused_unsafe)]
-        let mut $var = unsafe { $var.init($value) };
+        let mut $var = match $value {
+            let_cxx_string => unsafe { $var.init(let_cxx_string) },
+        };
     };
 }
 

